Product details
Returns full details for a single product including embedded variants, images, collections and custom attributes.
GET
/products/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredOAuth 2.0 Bearer token. Obtain via `POST https://auth.onbolder.com/oauth/token`.
Path parameters
idstringrequiredProduct ID or slug
Responses
200Product resource
idstringslugstringtitlestringstatusstringAllowed:
visiblehiddenpriceintegerPrice in cents
price_comparisoninteger | nullOriginal/comparison price in cents ("was" price)
discount_percentagenumber | nullcurrency_codestringvendorstringtagsstring[]created_onstring<date-time>updated_onstring<date-time>_linksobject_embeddedobjectShow propertiesHide properties
variantsVariantDetails[]Show propertiesHide properties
Array of
VariantDetailsidintegertitlestringskustring | nullpriceintegerprice_comparisoninteger | nullstockintegeravailable_if_no_stockbooleanweight_in_gramsinteger_linksobjectimagesProductImage[]Show propertiesHide properties
Array of
ProductImagefile_namestringtitlestring_linksImageLinksLinks to image at various sizes
Show propertiesHide properties
thumbnailHalLinkShow propertiesHide properties
hrefstringmethodstringtitlestringtypestringtemplatedbooleansmallHalLinkShow propertiesHide properties
hrefstringmethodstringtitlestringtypestringtemplatedbooleanmediumHalLinkShow propertiesHide properties
hrefstringmethodstringtitlestringtypestringtemplatedbooleanlargeHalLinkShow propertiesHide properties
hrefstringmethodstringtitlestringtypestringtemplatedbooleanoriginalHalLinkShow propertiesHide properties
hrefstringmethodstringtitlestringtypestringtemplatedbooleancollectionsCollection[]Show propertiesHide properties
Array of
Collectionidintegertitlestringslugstringshop_idintegercustom_attributesCustomAttribute[]Show propertiesHide properties
Array of
CustomAttributeidintegernamestringvaluestringfield_typestringAllowed:
stringemailurlintbooleanrequiredbooleankeystringdescriptionstring404Resource not found
messagestringRequest
curl -X GET "https://api.onbolder.com/v1/products/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.onbolder.com/v1/products/string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.onbolder.com/v1/products/string",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"id": "string",
"slug": "string",
"title": "string",
"status": "visible",
"price": 0,
"price_comparison": 0,
"discount_percentage": 0,
"currency_code": "string",
"vendor": "string",
"tags": [
"string"
],
"created_on": "2019-08-24T14:15:22Z",
"updated_on": "2019-08-24T14:15:22Z",
"_links": {},
"_embedded": {
"shop": {
"id": "string",
"name": "string",
"subdomain": "string",
"url": "string",
"description": "string",
"currency_code": "string",
"locale": "string",
"created_on": "2019-08-24T14:15:22Z",
"updated_on": "2019-08-24T14:15:22Z",
"product_counts": {
"visible": 0,
"hidden": 0
},
"_links": {}
},
"image": {
"file_name": "string",
"title": "string",
"_links": {
"thumbnail": {
"href": "string",
"method": "string",
"title": "string",
"type": "string",
"templated": true
},
"small": {
"href": "string",
"method": "string",
"title": "string",
"type": "string",
"templated": true
},
"medium": {
"href": "string",
"method": "string",
"title": "string",
"type": "string",
"templated": true
},
"large": {
"href": "string",
"method": "string",
"title": "string",
"type": "string",
"templated": true
},
"original": {
"href": "string",
"method": "string",
"title": "string",
"type": "string",
"templated": true
}
}
},
"variants": [
{
"id": 0,
"title": "string",
"sku": "string",
"price": 0,
"price_comparison": 0,
"stock": 0,
"available_if_no_stock": true,
"weight_in_grams": 0,
"_links": {}
}
],
"collections": [
{
"id": 0,
"title": "string",
"slug": "string",
"shop_id": 0
}
],
"images": [
{
"file_name": "string",
"title": "string",
"_links": {
"thumbnail": {
"href": "string",
"method": "string",
"title": "string",
"type": "string",
"templated": true
},
"small": {
"href": "string",
"method": "string",
"title": "string",
"type": "string",
"templated": true
},
"medium": {
"href": "string",
"method": "string",
"title": "string",
"type": "string",
"templated": true
},
"large": {
"href": "string",
"method": "string",
"title": "string",
"type": "string",
"templated": true
},
"original": {
"href": "string",
"method": "string",
"title": "string",
"type": "string",
"templated": true
}
}
}
],
"custom_attributes": [
{
"id": 0,
"name": "string",
"value": "string",
"field_type": "string",
"required": true,
"key": "string"
}
]
},
"description": "string"
}{
"message": "string"
}